Search:

Type: Posts; User: tombu

Page 1 of 5 1 2 3 4

Search: Search took 0.00 seconds; generated 34 minute(s) ago.

  1. Replies
    6
    Views
    173

    Modifying every drawing every time it's opened...

    Modifying every drawing every time it's opened seems harsh. Why not use something like
    (tblsearch "DIMSTYLE" "Aisle Dim") to see if the style is already in the drawing before adding it? There are...
  2. Thread: Lisp

    by tombu
    Replies
    8
    Views
    442

    Post the lsp & dcl code so someone can fix it for...

    Post the lsp & dcl code so someone can fix it for you.
  3. Thread: Stretch

    by tombu
    Replies
    12
    Views
    284

    If you're talking about the model space in the...

    If you're talking about the model space in the viewport as long as it's an insertion of some kind you can scale the x & y differently in properties. It would look strange though. I'd use two...
  4. Dots do not plot well. For linetypes I would...

    Dots do not plot well. For linetypes I would recommend either using the CIRC1 shape from ltypeshp.shx or a Unicode character an in examples below.

    *DASHcir2,Dash cir (.5x) __ . __ . __ . __ . __...
  5. Stay away from ISO metric linetypes, consider...

    Stay away from ISO metric linetypes, consider seting plinegen to 1 and draw everything bylayer. Simply changing linetype to DASHDOT2 and enabling Linetype generation solves the problem.
  6. You need to use the original code, look at the...

    You need to use the original code, look at the examples. To round 1.2345 to the nearest 0.05 enter (round 1.2345 0.05)
    It's set up this way so you can easily call it from another routine using the...
  7. Even better with *^C^Cbreak _appint \@ all you...

    Even better with
    *^C^Cbreak _appint \@ all you need is a single pick on the line you want to break near an intersection.
  8. As an alternative you could use the macro ...

    As an alternative you could use the macro
    *^C^C_break \_f _int \@ or
    *^C^C_break \_f _appint \@ and use Esc when you're done.
  9. I've seen many versions of this over the years,...

    I've seen many versions of this over the years, but this was the first one I saw and it still works.

    ;;; Written by Doug Broad
    ;;; If value given 'to' argument is a real, a real is returned....
  10. Replies
    1
    Views
    119

    No, complex linetypes were not introduced until...

    No, complex linetypes were not introduced until r13 and haven't changed much since.
  11. Replies
    60
    Views
    1,208

    See help:...

    See help: http://knowledge.autodesk.com/support/autocad/learn-explore/caas/CloudHelp/cloudhelp/2016/ENU/AutoCAD-Core/files/GUID-C07B8F08-8854-4A84-94A6-98C5B9A2522A-htm.html
    1 is the only other...
  12. Replies
    60
    Views
    1,208

    It's a simple 2d command. Create a UCS so that...

    It's a simple 2d command. Create a UCS so that the 2d rectangle will be how you want it after switching back to the previous coordinate system.
  13. Replies
    60
    Views
    1,208

    Try setting system variable UCSFOLLOW to 0

    Try setting system variable UCSFOLLOW to 0
  14. Thread: OD data

    by tombu
    Replies
    8
    Views
    364

    Try: (defun c:test ( / mo tbl1 bf) (setq mo...

    Try:
    (defun c:test ( / mo tbl1 bf)
    (setq mo (car (entsel))
    tbl1 (car (ade_odgettables mo)) ;First_Table_Assigned_to_Object
    bf (ade_odgetfield mo tbl1 "MAPBULKFEATURE" 0) ...
  15. Thread: OD data

    by tombu
    Replies
    8
    Views
    364

    You need to have Map to have the Map lisp...

    You need to have Map to have the Map lisp functions like "ade_odgetfield". Since the data is stored differently everywhere offering code probably wouldn't help. Our GIS folk keep revising how they...
  16. Replies
    13
    Views
    606

    The more information you give the better we can...

    The more information you give the better we can answer your questions.
    Again, what government agency? It's doubtful that you're the first person to ever do a drawing for them.
    Can you attach...
  17. Replies
    7
    Views
    264

    Sorry use .xy pick point and you get the prompt: ...

    Sorry use .xy pick point and you get the prompt:
    Specify first point: .XY of _endp of (need Z):
    Then enter 2332.5
    Point Filters are also available from the Object Snap Cursor Menu
    Been around...
  18. Replies
    7
    Views
    264

    No lisp needed just use the insert command, use...

    No lisp needed just use the insert command, use the point filter .z then enter 2332.5 then pick point for the x and y.
    From Help:
    To Use Coordinate Filters to Specify a Point in 3D...
  19. Replies
    13
    Views
    606

    What "government"? Contact them if it's a...

    What "government"? Contact them if it's a requirement they should be able to provide a sample drawing or specifics as to their shapes, linetypes, fonts and other standards. It may even be a...
  20. Replies
    15
    Views
    725

    From AutoCAD help: Remarks The entmake function...

    From AutoCAD help:
    Remarks
    The entmake function can define both graphical and nongraphical entities.
    You cannot create viewport objects with entmake....
Results 1 to 20 of 100
Page 1 of 5 1 2 3 4